#!/bin/sh

BIN=/usr/lib/postgresql/7.4/bin
DB=/tmp/testdb
PORT=9876

$BIN/initdb -D $DB

# activate logging and start server
patch $DB/postgresql.conf <<EOF
--- /tmp/testdb/postgresql.conf 2005-06-02 11:59:01.000000000 +0200
+++ postgresql-cacheidbug.conf  2005-06-02 11:54:55.000000000 +0200
@@ -185,10 +185,10 @@

 # - Statistics Monitoring -

-#log_parser_stats = false
-#log_planner_stats = false
-#log_executor_stats = false
-#log_statement_stats = false
+log_parser_stats = true
+log_planner_stats = true
+log_executor_stats = true
+log_statement_stats = true

 # - Query/Index Statistics Collector -

EOF

$BIN/postmaster -D $DB -p $PORT -S
sleep 3

$BIN/psql -l -p $PORT

# cleanup
killall postmaster
rm -rf $DB
